Copyright: Opaque Software 1994


Table of Contents
noOXDISPLY.O__004OXDisplayTRUEnononononoyesOXDISPLYyesyesyesoxdisplyTable of Contents

Oxdisply

Properties

Methods

Events

ShadowColor

(About)

(DesignNames)

(Help)

(SetDefault)

(Wizard)

Font3D

PictureDown

Pictures

PictureUp

PictureX

PictureY

TextX

TextY

See Also

Property Menu

Control Wiz

Registration

Order

OXToggle

Properties

Value

Events

OXControls

TextAngle

BorderStyle

MultiLine

BarColor

AllowFocus

BarBorder

Caption

ChunkSize

Total

Percent

PicDisplay

PicSpacing

Picture

TextDisplay

OXClock

Properties


OXControls
ObjectEXensionControls

OXDisplay ---- Opaque Software ©

OxLabel	Label Control

OXMeter	Meter Control

OXClock	Date/Time Control


Oxdisply
OxLabel

See Also	Properties	Methods	Events

OXLabel is a 3D label control for Microsoft Visual Basic.

Description

This control adds new features the standard Visual Basic label control did not. OXLabel can give the text and and a border a 3D look. It also allows for different alignment of the text and different text angle. OXDisplay includes PropertyMenus and ControlWiz.

File Name

OXDISPLY.VBX

Object Type

OXLabel

Remarks

OXLabel gives the Visual Basic developer the ability to easily change the look and characteristics of the control. (Text formatting, 3D look, Fonts, Alignment, Default Property, Text Angle, Settings and Other Properties) using the the right-mouse button or with the ControlWiz.

Properties and events that apply only to this control, or require special consideration when used with it, are marked with an asterisk. They are documented in the next section. See the Visual Basic Language Reference or online Help for documentation of the remaining properties, events, and methods.


OXToggle
OXMeter

See Also	Properties	Methods	Events

OMeter is a 3D meter or graph control for Microsoft Visual Basic.

Description

This control has many features which are not availible on any other graph or meter control. OXMeter can give the text and border a 3D look. It also allows for different alignment of the text and picture. Pictures a also supported which allow the progress to be shown using bitmaps or icons. OXMeter includes PropertyMenus and ControlWiz.

File Name

OXDISPLY.VBX

Object Type

OXMeter

Remarks

OXMeter gives the Visual Basic developer the ability to easily change the look and characteristics of the control. (Text formatting, 3D look, Fonts, Alignment, Default Property, Text Angle, Settings and Other Properties) using the the right-mouse button or with the ControlWiz.

Properties and events that apply only to this control, or require special consideration when used with it, are marked with an asterisk. They are documented in the next section. See the Visual Basic Language Reference or online Help for documentation of the remaining properties, events, and methods.


OXClock

See Also	Properties	Methods	Events

OXClock is a 3D Clock, Time and Date control for Microsoft Visual Basic.

Description

This control allows the display of the current Date and/or Time in your application. Any format is possible. OXClock can give the text and and a border a 3D look. It also allows for different alignment of the text and different text angle. OXClock includes PropertyMenus and ControlWiz.

File Name

OXDISPLY.VBX

Object Type

OXClock

Remarks

OXClock gives the Visual Basic developer the ability to easily change the look and characteristics of the control. (Text formatting, 3D look, Fonts, Alignment, Default Property, Text Angle, Settings and Other Properties) using the the right-mouse button or with the ControlWiz.

Properties and events that apply only to this control, or require special consideration when used with it, are marked with an asterisk. They are documented in the next section. See the Visual Basic Language Reference or online Help for documentation of the remaining properties, events, and methods.


Properties

*(About)	FontBold	*MultiLine

*(ControlWiz)	FontItalic	Name

*(DesignNames)	FontName	Parent

*(Help)	FontSize	TabIndex

*(SetDefault)	FontStrike	TabStop

BackColor	FontUnderline	Tag

*BorderStyle	ForeColor	*TextAngle

Caption	Height	TextDisplay

Drag	HWnd	*TextX, *TextY

DragIcon	Index	Top

Enabled	Left	Visible

*Font3D	MousePointer	Width


Properties

*(About)	FontBold	*Percent

*(ControlWiz)	FontItalic	*PicDisplay

*(DesignNames)	FontName	*PicSpacing

*(Help)	FontSize	*Picture

*(SetDefault)	FontStrike	TabIndex

*AllowFocus	FontUnderline	TabStop

BackColor	ForeColor	Tag

*BarBorder	Height	*TextAngle

*BarColor	HWnd	*TextDisplay

*Caption	Index	*TextX, TextY

*ChunkSize	Left	Top

Drag	MousePointer	*Total

DragIcon	Name	*Value

Enabled	*Orientation	Visible

*Font3D	Parent	Width


See Also

Property Menus

Control Wiz

Registration

Order Form


Properties

*(About)	FontBold	*MultiLine

*(ControlWiz)	FontItalic	Name

*(DesignNames)	FontName	Parent

*(Help)	FontSize	TabIndex

*(SetDefault)	FontStrike	TabStop

BackColor	FontUnderline	Tag

*BorderStyle	ForeColor	*TextAngle

Caption	Height	*TextX

Drag	HWnd	*TextY

DragIcon	Index	Top

Enabled	Left	Visible

*Font3D	MousePointer	Width


Methods

Drag	Refresh

Move	SetFocus


Events

Clicked	KeyDown	DblClick

DragDrop	KeyPress	MouseDown

DragOver	KeyUp	MouseMove

GotFocus	LostFocus	MouseUp


Events

Changed	KeyDown	MouseDown

Clicked	KeyPress	MouseMove

DragDrop	KeyUp	MouseUp

DragOver	LostFocus

GotFocus	DblClick


Property Menu

Description

Right Clicking on the 3D-VB Input during development brings up a Property Menu which allows for changing the controls properties.

Remarks

Why MicroSoft didn't include this in standard VB instead of the VB Property window is beyond me. No more mousing back and forth searching for the Property window. Selecting one of the menu items brings up a dialog box to change the properties.


Control Wiz

Description

Automates the visual design of the control.

Remarks

No more wading through property list after property list. Allows you to change many properties at once.


(About)

Description

Displays AboutBox and version information.

Remarks

Design time only.

Data Type

None.


(DesignNames)

Description

Displays CtlName property during DesignTime for all OXContols.

Remarks

Design time only.

Data Type

Boolean


(Help)

Description

Starts this help file.

Remarks

Design time only

Data Type

None.


(SetDefault)

Description

Makes properties of the current control the default.

Remarks

DesignTime Only. Just select the control and set the default property. The following properties and their values will become the default for all the subsequent controls until the default is changed.

Data Type

None.


(Wizard)
(Control Wiz)

Description

Starts the ControlWiz for the current control.

Remarks

Design time only. The ControlWiz can be started by selecting the ControlWiz property form the property window and pressing the (...) or by clicking the right mouse button over the Control.

Data Type

None.


AllowFocus

Description

Determines whether the user can obtain focus for the control.

Usage

[form.]OxMeter.AllowFocus[ = x]

Remarks

The following table lists the AllowFocus property settings for the Meter control.

Setting	Description

0	No Focus allowed.

1	Normal focus.

2	Double-click focus.

Data Type

Integer(Enum)


BarBorder

Sorry not yet finished.


BarColor

Description

Sets or retuns the bar color of the control.

Usage

[form.]OxMeter.BarColor[ = color]

Data Type

Long


BorderStyle

Description

Sets or returns the controls border style.

Usage

[form.]Oxdisply.BorderStyle[ = x]

Remarks

The following table lists the BorderStyle property settings for the control.

Setting	Description

0	No Border

1	Standard

2	Raised

3	Inset

4	Raised - Enhanced

5	Inset  - Enhanced

6	Raised - Ridged

7	Inset  - Ridged

Data Type

Integer (Enumerated)


Caption

Description

Sets or returns the controls text.

Usage

[form.]Oxdisply.Caption[ = setting%]

Remarks

OXMeter and OXClock allow embedded fields with in the caption display. The fields must be set apart with brackets [ ].

OXMeter:

Field 	Prop Value

P, p 	Percent

V, v	Value

T, t	Total

Example: [P] parts of [t] completed  --displays-->  25 parts of 100 completed

OXClock:

Field 	Display Value 	Example

ap	am or pm, lower case	12:01 pm

AP	AM or PM, upper case	12:01 PM

D, d	Date	12/1/95

DD, dd	Date, padded	12/01/95

h	Hours: 12	1:59

H	Hours: 24	23:59

hh	Hours: 12 padded	01:59

HH	Hours: 24 padded	0:59

J, j	Month, text short	Mar

JJ, ,jj	Month, text long	March

M, m	Month	1/31/95

MM, mm	Month, padded	01/31/95

N, n	Minutes	12:1

NN, nn	Minutes, padded	12:01

S, s	Seconds	12:59:1

SS, ss	Seconds, padded	12:59:01

W, w	Weekdays, short	Wed

WW, ww	Weekdays, long	Wednesday

Y, y	Year, 2 digit	11/31/95

YY, yy	Year, 4 digit	11/31/2095

Example: Today is [W], [jj] [d], [yy]  --displays-->  Today is Wed, March 31, 2095

Data Type

String


ChunkSize

Description

Sets or returns the size of the OXMeters moving block.

Usage

[form.]OxMeter.ChunkSize[ = setting%]

Remarks

Sets the size of the moving block. ChunkSize must be >= 0 and < Total. If ChunkSize = 0 then no moving block exists.

Data Type

Long


Font3D

Description

Sets or returns the three-dimensional style of the Control text.

Usage

[form.]Oxdisply.Font3D[ = setting%]

Remarks

The Font3D property settings are:

Setting 	Description

0 	Invisible.

1	Normal.

2	Raised

3	Inset

Data Type

Integer (Enumerated)


MultiLine

Description

Specifies whether the control will display the text or caption using more than one line of text.

Usage

[form.]Oxdisply.MultiLine[ = x]

Remarks

The following table lists the MultiLine property settings for the control.

Setting	Description

True	Allows more than one line of text.

False	Allows only one line of text

TextAngle must be = 0 for MultiLine text to be displayed.

Data Type

Integer(Boolean)


Percent

Description

Sets or returns the completed percentage of the meter control.

Usage

[form.]OxMeter.Percent[ = setting%]

Remarks

Percent is = Value* 100 / Total

Data Type

Integer


PicDisplay

Description

Sets or returns the format of the displayed picture.

Usage

[form.]OxMeter.PicDisplay[ = setting%]

Remarks

The PicDisplay property settings are:

Setting 	Description

0 	Stretching.

1	Growing

2	Sliding

Data Type

Integer (Enumerated)


PicSpacing

Description

Sets or returns the number of pixels between the meters picture.

Usage

[form.]OxMeter.PicSpacing[ = setting%]

Remarks

A negative number allows the Picture to overlap creating a stacked effect.

Data Type

Integer


Picture

Description

Specifies a bitmap or an icon to display on the Meters bar.

Usage

[form.]OXMeter.Picture[ = picture]

Remarks

The following table lists the Picture property settings for the Meter control.

Setting	Description

 (none)	(Default) No picture.

(bitmap) or (icon)	Designates a graphic to display. You can load the graphic from the Properties window at design time.

Note	This control can display bitmaps (.BMP) and icons (.ICO), but not Windows metafiles (.WMF). At run time, you can set the Picture property to any other object's DragIcon, Icon, Picture, or Image property, or you can assign it the graphic returned by the LoadPicture function. You can only assign the Picture property directly.

Data Type

picture


TextDisplay

Description

Sets or returns the preset Caption format of the control.

Usage

[form.]OxMeter.TextDisplay[ = setting%]

[form.]OxClock.TextDisplay[ = setting%]

Remarks

When TextDisplay is = 0, the Captionwill be displayed, or else the control will display the preset format.

Data Type

Integer (Enumerated)


TextAngle

Description

Sets or returns the texts angle in degrees or rotation.

Usage

[form.]Oxdisply.TextAngle[ = x]

Remarks

To rotate the text use a number between 1 and 360. 0 = no rotation.

Data Type

Integer


TextX

Description

Sets or returns the text or captions horizontal location in twips inside the control.

Usage

[form.]Oxdisply.TextX[ = x]

Remarks

The following table lists the TextX property settings for the Meter control.

Setting	Description

>= 1	Twips from the left.

= 0	Centered.

<= -1	Twips from the right.

To align the text or caption on the left edge use a positive number, to align it from the right use a negative number or to center it use zero.

Data Type

Single


TextY

Description

Sets or returns the text or captions vertical location in twips inside the control.

Usage

[form.]Oxdisply.TextY[ = y]

Remarks

The following table lists the TextY property settings for the Meter control.

Setting	Description

>= 1	Twips from the top.

= 0	Centered.

<= -1	Twips from the bottom.

To align the text or caption on the top edge use a positive number, to align it from the bottom use a negative number or to center it use zero.

Data Type

Single


Total

Description

Sets or returns the maximum value for Value.

Usage

[form.]OxMeter.Value[ = setting%]

Remarks

Total is always >= Value. When Total is = Value the Meters bar will show complete.

Data Type

Long


Value

Description

Sets or returns the Value of the Meter control.

Usage

[form.]OXMeter.Value[ = setting%]

Remarks

Value must be <= Total. Value shows the amount done in the meters bar.

Data Type

Long


Registration

Oxdisply  © is written by Brett Liddicoet

Copyright © 1991-1994

Opaque Software ©

P.O. Box 2483.

Napa, CA 94558

CIS  70621,3034

OXDisplay ver 1.0 has been written using Borland Pascal. I welcome all comments, suggestions and problems with OXDisplay. Feel free to contact me via US mail or CompuServe E-MAIL. Registered users will be given priority. Thanks for using OXDisplay.

 REGISTRATION COSTS

15 Dollars U.S  (disk is $7 extra)

 SOFTWARE LICENSE

 OXDisplay is not and has never been public domain software, nor is it free software.

 Non-licensed users are granted a limited license to use OXDisplay on a 30-day trial basis for the purpose of determining whether OXDisplay is suitable for their needs.  The use of OXDisplay, except for the initial 30-day trial, requires registration.  The use of unlicensed copies of OXDisplay by any person, business, corporation, government agency or any other entity is strictly prohibited.

 A single user license permits a user to use OXDisplay only on a single computer.  Licensed users may use the program on different computers, but may not use the program on more than one computer at the same time. Licensed users may also distribute the runtime OXDISPLY.VBX with their completed applications.

 No one may modify or patch the OXDisplay executable files in any way,  including but not limited to decompiling, disassembling, or otherwise reverse engineering the program.

 A limited license is granted to copy and distribute OXDisplay only for the trial use of others, subject to the above limitations, and also the following:

  1)    OXDisplay must be copied in unmodified form, complete with the file containing this license information and only the following OXDisplay files: OXDISPLY.VBX, OXDISPLY.HLP, OXDSPWIZ.EXE, ORDER.WRI and README.TXT. You may NOT distribute the OXDisplay registration ID, control numbers or that portion of the WIN.INI file created by OXDisplay.

  2)    The full machine-readable OXDisplay documentation must be included with each copy.

  3)    No fee, charge, or other compensation may be requested or accepted, except as

authorized below:

        A) Operators of electronic bulletin board systems (sysops) may make OXDisplay available for downloading only as long as the above conditions are met.  An overall or time-dependent charge for the use of the bulletin board system is permitted as long as there is not a specific charge for the download of OXDisplay.

        B) Vendors of user-supported or shareware software may distribute OXDisplay, subject to the above conditions, without specific permission. Vendors may charge a disk duplication and handling fee, which, when pro-rated to the OXDisplay product, may not exceed five dollars.

        C) Non-profit user groups may distribute OXDisplay, subject to the above conditions, without specific permission. Non-profit user groups may charge a disk duplication fee, which, when pro-rated to the OXDisplay product, may not exceed five dollars.

  LIMITED WARRANTY

EXCEPT AS PROVIDED ABOVE, OPAQUE SOFTWARE DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, WITH RESPECT TO THE PRODUCT.  SHOULD THE PROGRAM PROVE DEFECTIVE, THE   PURCHASER ASSUMES THE RISK OF PAYING THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION AND ANY INCIDENTAL OR CONSEQUENTIAL DAMAGES.  IN NO EVENT WILL OPAQUE SOFTWARE BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING WITHOUT LIMITATION DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION AND THE LIKE) ARISING OUT OF THE USE OR THE INABILITY TO USE THIS PRODUCT EVEN IF OPAQUE SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

  Use of this product for any period of time constitutes your acceptance of this agreement and subjects you to its contents.

  U.S. GOVERNMENT RESTRICTED RIGHTS

  Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subdivision (b)(3)(ii) of the Rights in Technical Data and Computer Software clause at 252.227-7013.  Contractor/manufacturer is Opaque Software.


Order

OxDisplay  ver 1.0

Please return this form and your remittance to:

Opaque Software

Brett Liddicoet

PO Box 2483

Napa, CA 94558

USA

Ship to:

Name: 	_____________________________________________________________

Company:	_____________________________________________________________

Address:	_____________________________________________________________

_____________________________________________________________

Phone (Day)	_____________________________________________________________

Phone (Night)	_____________________________________________________________

CIS#	_____________________________________________________________

Please send me:

_____ Registration numbers @ $15 each	$ ___________

_____ Copies of OXDisplay and Registration on 3.5 diskette @ $22 each.	$ ___________

Total	$ ___________

    (US Funds drawn on US Bank)

Payment may be by check or money order.

Comments

______________________________________________________________________________

______________________________________________________________________________

______________________________________________________________________________

______________________________________________________________________________

______________________________________________________________________________

______________________________________________________________________________